= nng_aio_get_input(3)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_aio_get_input - return input parameter

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>

void *nng_aio_get_input(nng_aio *aio, unsigned int index);
----

== DESCRIPTION

The `nng_aio_get_input()` function returns the value of the input parameter
previously set at _index_ on _aio_ with the
xref:nng_aio_set_input.3.adoc[`nng_aio_set_input()`] function.

The valid values of _index_ range from zero (0) to three (3), as no operation
currently defined can accept more than four parameters.
(This limit could increase in the future.)
If the index supplied is outside of this range,
or of the input parameter was not previously set, then `NULL` is returned.

== RETURN VALUES

Value previously set, or `NULL`.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_aio_alloc.3.adoc[nng_aio_alloc(3)],
xref:nng_aio_get_output.3.adoc[nng_aio_get_output(3)],
xref:nng_aio_set_input.3.adoc[nng_aio_set_input(3)],
xref:nng_aio_result.3.adoc[nng_aio_result(3)],
xref:nng_aio.5.adoc[nng_aio(5)],
xref:nng.7.adoc[nng(7)]
